<?php
session_start();
$date=explode('-',date("Y-m-d", strtotime("last day of previous month")));
$month=$date[1];
$year=$date[0];

$monthNum  =$month;
$dateObj   = DateTime::createFromFormat('!m', $monthNum);
$monthName = strtoupper($dateObj->format('F'));
// CONNECT TO DATABASE
// ! CHANGE THESE SETTINGS TO YOUR OWN !
      require_once '../system/conn.php';
// CREATE PHPSPREADSHEET OBJECT
require "excel_test/vendor/autoload.php";
use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;

// CREATE A NEW SPREADSHEET + POPULATE DATA
$spreadsheet = new Spreadsheet();
$sheet = $spreadsheet->getActiveSheet();
$spreadsheet->getActiveSheet()->mergeCells('A1:H1');
$spreadsheet->getActiveSheet()->getColumnDimension('A')->setAutoSize(true);
$spreadsheet->getActiveSheet()->getColumnDimension('B')->setAutoSize(true);
$spreadsheet->getActiveSheet()->getColumnDimension('C')->setAutoSize(true);
$spreadsheet->getActiveSheet()->getColumnDimension('D')->setAutoSize(true);
$spreadsheet->getActiveSheet()->getColumnDimension('E')->setAutoSize(true);
$spreadsheet->getActiveSheet()->getColumnDimension('F')->setAutoSize(true);
$spreadsheet->getActiveSheet()->getColumnDimension('G')->setAutoSize(true);
$spreadsheet->getActiveSheet()->getColumnDimension('H')->setAutoSize(true);



$styleArray = [
    'font' => [
        'bold' => true,
    ],
    'alignment' => [
        'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
    ],
    'fill' => [
        'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_GRADIENT_LINEAR,
        'rotation' => 90,
        'startColor' => [
            'argb' => 'FFA0A0A0',
        ],
        'endColor' => [
            'argb' => 'FFFFFFFF',
        ],
    ],
];
$styleArray1 = [
    'font' => [
        'bold' => true,
    ],
    'alignment' => [
        'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
    ],
];

$spreadsheet->getActiveSheet()->getStyle('A3:P3')->applyFromArray($styleArray1);
$spreadsheet->getActiveSheet()->getStyle('A1')->applyFromArray($styleArray);



$sheet->setTitle('Attendance sheet');

$date=date('m-d-Y', strtotime(date('Y-m')." -1 month"));
                                        $date=explode('-',$date);
                                        $monthNum=$date[0];
                                        $dateObj   = DateTime::createFromFormat('!m', $monthNum);

//$month1=$_GET['m'];
//$monthNum1  =$month1;
//$dateObj1   = DateTime::createFromFormat('!m', $monthNum1);
//$monthName1 = strtoupper($dateObj1->format('F'));

//$year=$_GET['y'];
$stmt = $conn->prepare("SELECT emp_details.e_name , emp_details.designation, prv_attendance.emp_id, prv_attendance.site, prv_attendance.prv_attendance FROM `prv_attendance` LEFT JOIN `emp_details` ON prv_attendance.emp_id=emp_details.e_id AND prv_attendance.branch=emp_details.branch ORDER BY e_name ASC ");
//$stmt = $conn->prepare("SELECT emp_details.e_name , emp_details.designation, salary_attendance.emp_id, salary_attendance.t_a, salary_attendance.b_a, salary_attendance.o_a , salary_attendance.details  FROM `salary_attendance` LEFT JOIN `emp_details` ON salary_attendance.emp_id=emp_details.e_id AND salary_attendance.branch=emp_details.branch where salary_attendance.month='$month' and salary_attendance.year='$year' ORDER BY e_name ASC");
print_r($stmt);exit;    
$stmt->execute();
$a = 1;
$i = 4;
  $sheet->setCellValue('A1', ' Previous Attendance Sheet '.strtoupper($monthName).' '. $year);
  $sheet->setCellValue('A3', 'SR NO');
  $sheet->setCellValue('B3', 'NAME');
  $sheet->setCellValue('C3', 'DESIGNATION');
  $sheet->setCellValue('D3', 'EMP ID');
  $sheet->setCellValue('E3', 'SITE');
  $sheet->setCellValue('F3', 'ATTENDANCE');
   
while ($row = $stmt->fetch(PDO::FETCH_NAMED)) {
  $sheet->setCellValue('A'.$i, $a);
  $sheet->setCellValue('B'.$i, $row['e_name']);
  $sheet->setCellValue('C'.$i, $row['designation']);
  $sheet->setCellValue('D'.$i, $row['emp_id']);
  $stmt1 = $conn->prepare(" SELECT * FROM `site` WHERE `id`='".$row['site']."' ");
  $stmt1->execute();
  while ($row1 = $stmt1->fetch(PDO::FETCH_NAMED)) {
  $sheet->setCellValue('E'.$i, $row1['name']);
  }
  $sheet->setCellValue('F'.$i, $row['prv_attendance']);

  $i++;
  $a++;
}

$spreadsheet->getActiveSheet()->getStyle('A'.$i.':H'.$i)->applyFromArray($styleArray1);


// OUTPUT
$writer = new Xlsx($spreadsheet);
header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
header('Content-Disposition: attachment;filename="Current-Attendance.xlsx"');
header('Cache-Control: max-age=0');
header('Expires: Fri, 11 Nov 2011 11:11:11 GMT');
header('Last-Modified: ' . gmdate('D, d M Y H:i:s') . ' GMT');
header('Cache-Control: cache, must-revalidate');
header('Pragma: public');
$writer->save('php://output');
?>